<?php
/**
 * The Sidebar containing the main widget area
 *
 * @since Iceberg 1.0
 */
?>

<div id="sidebar" class="sidebar">
  <header id="musthead" class="site-header">
    <div class="site-identity">
    <?php iceberg_site_identity(); ?>
    </div>
    
    <?php iceberg_social_profiles(); ?>
  </header>
  
  <?php if( has_nav_menu( 'primary' ) || is_active_sidebar( 'widget-area' ) ) : ?>
  <div class="toggles">
    <a href="#" id="sidebar-toggle" class="sidebar-toggle"><i class="menu-icon"></i></a>
  </div>
  
  <div class="toggle-wrap">
    <?php 
      wp_nav_menu( array( 
        'theme_location'  => 'primary', 
        'menu_class'      => 'nav-menu', 
        'fallback_cb'     => false, 
        'container'       => 'nav',
        'container_id'    => 'primary-navigation',
        'container_class' => 'primary-navigation' 
      ) ); 
    ?>

    <?php if ( is_active_sidebar( 'widget-area' ) ) : ?>
    <div id="secondary" class="secondary">    
      <?php if( is_active_sidebar( 'widget-area' ) ) : ?>
      <div id="widget-area" class="widget-area" role="complementary">
        <?php dynamic_sidebar( 'widget-area' ); ?>
      </div>
      <?php endif; ?>
    </div><!-- .secondary -->
    <?php endif; ?>
     
    <footer id="colophon" class="site-footer">
    <?php iceberg_site_copyright( '<div class="site-info">', '</div>' ); ?>
    </footer>
    
    <?php endif; ?>
  </div>
</div>